Multivariate Pattern Analysis in Python

# mvpa2.base.dataset.split_by_feature_attribute

`mvpa2.base.dataset.``split_by_feature_attribute`(ds, fa_label, raise_unequal_count=True)

  Splits a dataset based on unique values of a feature attribute

  Parameters:

  d: Dataset

  > input dataset

  sa_label: str or list of str

  > sample attribute label(s) on which the split is based

  Returns:

  ds: list of Dataset

  > List with n datasets, if d.fa[fa_label] has n unique values